Skip to content

Get 'InspectionErrandFault'

Request

Security
customer_id and application_id and service_id and service_version_id and client_ct and client_object_id and client_secret
Path
pkstringwrite-onlyrequired
GET
/errands/inspections/reporting/inspectionerrandfault/{pk}/
curl -i -X GET \
  'https://dev.api.pigello.io/errands/inspections/reporting/inspectionerrandfault/{pk}/' \
  -H 'X-PIGELLO-APPLICATION-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-CT: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-ENTITY: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-SECRET: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CUSTOMER-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-VERSION-ID: YOUR_API_KEY_HERE'

Responses

Successful selection

Bodyapplication/json
idstring, (uuid)read-onlyrequired

Additional Validation Information:

Must be unique

inspection_errandobject(InspectionErrand)required
organizationobject or null(Organization)
custom_idstring or null, <= 128 characters
created_atstring, (date-time)read-only
componentobject or null(Component)

Additional Validation Information:

This value can't bet set, when any of the following fields are set: custom_field_type

This field, or at least one of the following fields must be set: custom_field_type

custom_field_typeobject or null(CustomErrandFieldType)

Additional Validation Information:

This value can't bet set, when any of the following fields are set: component

This field, or at least one of the following fields must be set: component

descriptionstring or null
action_proposalstring or null
responsible_partyinteger or null, (int32), [ -2147483648 .. 2147483647 ]

Additional Validation Information:

Enum Descriptions:

  • 0 - Previous Tenant

  • 1 - Current Tenant

  • 2 - Future Tenant

  • 3 - Owner Landlord

Enum:0123
Response
{ "organization": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "custom_id": "string", "created_at": "2019-08-24T14:15:22Z", "inspection_errand": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "component": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "custom_field_type": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "description": "string", "action_proposal": "string", "responsible_party": 0 }